Caisson 1 - Maintenance, Repair, and Preservation

Closed Solicitation Posted

This opportunity was awarded. See the award notice from .

Solicitation number
N4523A22R1050
Agency
Responses due
Set-aside
No set-aside

Opportunity facts

NAICS code
336611 Ship Building and Repairing
Place of performance
Washington, United States

Notice details come from SAM.gov. Updated .

About this opportunity

This solicitation seeks maintenance, repair, and preservation services for Caisson One, a 94-foot steel-hulled vessel owned by the Department of the Navy. The Naval Supply Systems Command will award a firm-fixed price contract to drydock, clean, conduct hull and tank inspections and repairs, replace equipment and components, conduct operational testing, and return the vessel by December 12, 2022. Offerors must have a ship repair facility capable of drydocking the vessel located in the Puget Sound region of Washington state. Proposals will be evaluated on a lowest-price, technically acceptable basis, with proposals due by April 6, 2022 and award anticipated in late May 2022.

The solicitation is a full and open competition set aside under NAICS code 336611, Ship Building and Repair, with a size standard of 1,250 employees. The period of performance is from June 28, 2022 to December 12, 2022. Work will be performed at the contractor's facility located in the Puget Sound region of Washington state. Reference drawings were required to be requested by February 9, 2022. The government estimates this requirement to be between $500,000 and $5,000,000.

Notice text

5 versions

Update #5 · Latest ·

15Feb2022 - Update - Amendment 0001 with updated documents and answers to RFC 003-004 have been posted. Please see attachments.

14Feb2022 - Update - the answer to RFC 002 has been posted. Please see attachments.

8Feb2022 - Update - the answer to RFC 0001 has been posted. Please see attachments.

21Jan2022 - Update - missing document added

The Northwest Regional Maintenance Center at Puget Sound Naval Shipyard & Intermediate Maintenance Facility (PSNS & IMF), Bremerton, Washington intends to award a stand alone Firm-Fixed Price (FFP) contract to accomplish maintenance, repair and preservation of the CAISSON ONE.  All work shall be accomplished at the Contractor's facility.   

Special Note: 

  • Contractor’s facility must be capable of dry-docking the vessel in order to accomplish all required work.
  • The ship check schedule can be found in Section L (Solicitation pages 55-69) includes information regarding base access registration deadlines.
  • Information regarding the Contractor’s Property Management System is now part of the contractor’s proposal.  Additional information can be found in Section L of the solicitation.

            Vessel Characteristics: 

  • Length of 94 FT 10-3/8 IN                
  • Height of 39 FT
  • Draft of 20 FT 11-7/16 IN
  • Width of 16 FT          
  • Light Load Displacement is approx. 762 L Tons
  • Full Displacement is approx. 1,483 L Tons
  • Hull Type is Steel                              

           

Geographical Area of consideration: To facilitate proper government oversight, the facility shall be located in the Puget Sound, WA region.  For this procurement, the Puget Sound, WA region is defined as the West Coast of the continental US, starting from Olympia, WA and extending northward to Bellingham, WA.

The Government is seeking responses from sources that can perform the following work:

Coordinate with the Contracting Officer, via the Contracting Officer’s Representative (COR) to deliver the vessel to the Contractor’s facility.  Dock, wash, and clean the exterior surfaces of the vessel upon docking.  Blast & preserve Hull Exterior. Hull corrosion weld repairs.  Control Hazardous Waste.  Replace rubber seals and hardware.  UT rubber seal steel mating surface.  Perform visual and ultrasonic Inspections of the hull, tanks, weather deck, drainage piping, and ballasting system.  Pump and clean tanks.  Repair hatches on the Weather Deck and the Operations Deck.  Install Mimic Board.  Test Alarm Systems and Associated Equipment.  Clean Ventilation System.  Replace Valves.  Install Super-flood Pump Discharge Piping Covers.  Replace Dewatering Pumps and Motors.  Renew Valve Stem Extension Assemblies.  Replace Grease Lines and Steady Bearings.  Replace Actuator Stands and Actuators.  Remove and inspect Rubber Fendering.  Install Handrail Swing Gate.  Renew Boarding Ladder.  Blast and preserve Tanks, Operational Deck Compartment, Handrail Stanchions, and Hull.  Replace Non-Skid.  Support Operational Testing.  Replace Hull and Tank zincs.  Undock the vessel.  Arrange and coordinate the delivery of the vessel back to the Government with the Contracting Officer via the COR.

See Statement of Work for more detail (Attachment J-1).

The expected Period of Performance is scheduled to be 06 July 2022 to 12Dec2022.

The Government is contemplating a full and open competition under the North American Industry Classification System (NAICS) 336611, size 1,250 employees.  The Government anticipates award of a Firm-Fixed Price, stand-alone contract in late May 2022 to the responsible contractor on a lowest price, technically acceptable basis in accordance with, but not limited to, the Federal Acquisition Regulation (FAR) 15.101-2.  Offerors can view and/or download the work specifications for review at https://sam.gov/.

NAVSEA Standard Items can be downloaded at https://www.navsea.navy.mil/Home/RMC/CNRMC/Our-Programs/SSRAC/

All offerors must be registered with the System for Award Management (SAM) to receive award of Government contracts. Offerors are advised also that SAM representations and certifications can be completed electronically via the System for Award Management website at https://www.sam.gov. 

Reference drawings (Attachment J-6) will be delivered via the DoDSafe website to SAM registered contractors whose NAICS include 336611 and have a ship repair facility.  Please mail your request for drawings to brittany.chartier@navy.mil and brian.fergus@navy.mil no later than 9 February 2022 at 2PM PST.  The Government will provide a link to download the files from the DoDSafe website.  Include your CAGE code and ship repair facility address in the body of the email.

Update #4 ·

15Feb2022 - Update - Amendment 0001 with updated documents and answers to RFC 003-004 have been posted. Please see attachments.

14Feb2022 - Update - the answer to RFC 002 has been posted. Please see attachments.

8Feb2022 - Update - the answer to RFC 0001 has been posted. Please see attachments.

21Jan2022 - Update - missing document added

The Northwest Regional Maintenance Center at Puget Sound Naval Shipyard & Intermediate Maintenance Facility (PSNS & IMF), Bremerton, Washington intends to award a stand alone Firm-Fixed Price (FFP) contract to accomplish maintenance, repair and preservation of the CAISSON ONE.  All work shall be accomplished at the Contractor's facility.   

Special Note: 

  • Contractor’s facility must be capable of dry-docking the vessel in order to accomplish all required work.
  • The ship check schedule can be found in Section L (Solicitation pages 55-69) includes information regarding base access registration deadlines.
  • Information regarding the Contractor’s Property Management System is now part of the contractor’s proposal.  Additional information can be found in Section L of the solicitation.

            Vessel Characteristics: 

  • Length of 94 FT 10-3/8 IN                
  • Height of 39 FT
  • Draft of 20 FT 11-7/16 IN
  • Width of 16 FT          
  • Light Load Displacement is approx. 762 L Tons
  • Full Displacement is approx. 1,483 L Tons
  • Hull Type is Steel                              

           

Geographical Area of consideration: To facilitate proper government oversight, the facility shall be located in the Puget Sound, WA region.  For this procurement, the Puget Sound, WA region is defined as the West Coast of the continental US, starting from Olympia, WA and extending northward to Bellingham, WA.

The Government is seeking responses from sources that can perform the following work:

Coordinate with the Contracting Officer, via the Contracting Officer’s Representative (COR) to deliver the vessel to the Contractor’s facility.  Dock, wash, and clean the exterior surfaces of the vessel upon docking.  Blast & preserve Hull Exterior. Hull corrosion weld repairs.  Control Hazardous Waste.  Replace rubber seals and hardware.  UT rubber seal steel mating surface.  Perform visual and ultrasonic Inspections of the hull, tanks, weather deck, drainage piping, and ballasting system.  Pump and clean tanks.  Repair hatches on the Weather Deck and the Operations Deck.  Install Mimic Board.  Test Alarm Systems and Associated Equipment.  Clean Ventilation System.  Replace Valves.  Install Super-flood Pump Discharge Piping Covers.  Replace Dewatering Pumps and Motors.  Renew Valve Stem Extension Assemblies.  Replace Grease Lines and Steady Bearings.  Replace Actuator Stands and Actuators.  Remove and inspect Rubber Fendering.  Install Handrail Swing Gate.  Renew Boarding Ladder.  Blast and preserve Tanks, Operational Deck Compartment, Handrail Stanchions, and Hull.  Replace Non-Skid.  Support Operational Testing.  Replace Hull and Tank zincs.  Undock the vessel.  Arrange and coordinate the delivery of the vessel back to the Government with the Contracting Officer via the COR.

See Statement of Work for more detail (Attachment J-1).

The expected Period of Performance is scheduled to be 28Jun2022 to 12Dec2022.

The Government is contemplating a full and open competition under the North American Industry Classification System (NAICS) 336611, size 1,250 employees.  The Government anticipates award of a Firm-Fixed Price, stand-alone contract in late May 2022 to the responsible contractor on a lowest price, technically acceptable basis in accordance with, but not limited to, the Federal Acquisition Regulation (FAR) 15.101-2.  Offerors can view and/or download the work specifications for review at https://sam.gov/.

NAVSEA Standard Items can be downloaded at https://www.navsea.navy.mil/Home/RMC/CNRMC/Our-Programs/SSRAC/

All offerors must be registered with the System for Award Management (SAM) to receive award of Government contracts. Offerors are advised also that SAM representations and certifications can be completed electronically via the System for Award Management website at https://www.sam.gov. 

Reference drawings (Attachment J-6) will be delivered via the DoDSafe website to SAM registered contractors whose NAICS include 336611 and have a ship repair facility.  Please mail your request for drawings to brittany.chartier@navy.mil and brian.fergus@navy.mil no later than 9 February 2022 at 2PM PST.  The Government will provide a link to download the files from the DoDSafe website.  Include your CAGE code and ship repair facility address in the body of the email.

Update #3 ·

8Feb2022 - Update - the answer to RFC 0001 has been posted. Please see attachments.

21Jan2022 - Update - missing document added

The Northwest Regional Maintenance Center at Puget Sound Naval Shipyard & Intermediate Maintenance Facility (PSNS & IMF), Bremerton, Washington intends to award a stand alone Firm-Fixed Price (FFP) contract to accomplish maintenance, repair and preservation of the CAISSON ONE.  All work shall be accomplished at the Contractor's facility.   

Special Note: 

  • Contractor’s facility must be capable of dry-docking the vessel in order to accomplish all required work.
  • The ship check schedule can be found in Section L (Solicitation pages 55-69) includes information regarding base access registration deadlines.
  • Information regarding the Contractor’s Property Management System is now part of the contractor’s proposal.  Additional information can be found in Section L of the solicitation.

            Vessel Characteristics: 

  • Length of 94 FT 10-3/8 IN                
  • Height of 39 FT
  • Draft of 20 FT 11-7/16 IN
  • Width of 16 FT          
  • Light Load Displacement is approx. 762 L Tons
  • Full Displacement is approx. 1,483 L Tons
  • Hull Type is Steel                              

           

Geographical Area of consideration: To facilitate proper government oversight, the facility shall be located in the Puget Sound, WA region.  For this procurement, the Puget Sound, WA region is defined as the West Coast of the continental US, starting from Olympia, WA and extending northward to Bellingham, WA.

The Government is seeking responses from sources that can perform the following work:

Coordinate with the Contracting Officer, via the Contracting Officer’s Representative (COR) to deliver the vessel to the Contractor’s facility.  Dock, wash, and clean the exterior surfaces of the vessel upon docking.  Blast & preserve Hull Exterior. Hull corrosion weld repairs.  Control Hazardous Waste.  Replace rubber seals and hardware.  UT rubber seal steel mating surface.  Perform visual and ultrasonic Inspections of the hull, tanks, weather deck, drainage piping, and ballasting system.  Pump and clean tanks.  Repair hatches on the Weather Deck and the Operations Deck.  Install Mimic Board.  Test Alarm Systems and Associated Equipment.  Clean Ventilation System.  Replace Valves.  Install Super-flood Pump Discharge Piping Covers.  Replace Dewatering Pumps and Motors.  Renew Valve Stem Extension Assemblies.  Replace Grease Lines and Steady Bearings.  Replace Actuator Stands and Actuators.  Remove and inspect Rubber Fendering.  Install Handrail Swing Gate.  Renew Boarding Ladder.  Blast and preserve Tanks, Operational Deck Compartment, Handrail Stanchions, and Hull.  Replace Non-Skid.  Support Operational Testing.  Replace Hull and Tank zincs.  Undock the vessel.  Arrange and coordinate the delivery of the vessel back to the Government with the Contracting Officer via the COR.

See Statement of Work for more detail (Attachment J-1).

The expected Period of Performance is scheduled to be 28Jun2022 to 12Dec2022.

The Government is contemplating a full and open competition under the North American Industry Classification System (NAICS) 336611, size 1,250 employees.  The Government anticipates award of a Firm-Fixed Price, stand-alone contract in late May 2022 to the responsible contractor on a lowest price, technically acceptable basis in accordance with, but not limited to, the Federal Acquisition Regulation (FAR) 15.101-2.  Offerors can view and/or download the work specifications for review at https://sam.gov/.

NAVSEA Standard Items can be downloaded at https://www.navsea.navy.mil/Home/RMC/CNRMC/Our-Programs/SSRAC/

All offerors must be registered with the System for Award Management (SAM) to receive award of Government contracts. Offerors are advised also that SAM representations and certifications can be completed electronically via the System for Award Management website at https://www.sam.gov. 

Reference drawings (Attachment J-6) will be delivered via the DoDSafe website to SAM registered contractors whose NAICS include 336611 and have a ship repair facility.  Please mail your request for drawings to brittany.chartier@navy.mil and brian.fergus@navy.mil no later than 9 February 2022 at 2PM PST.  The Government will provide a link to download the files from the DoDSafe website.  Include your CAGE code and ship repair facility address in the body of the email.

Update #2 ·

21Jan2022 - Update - missing document added

The Northwest Regional Maintenance Center at Puget Sound Naval Shipyard & Intermediate Maintenance Facility (PSNS & IMF), Bremerton, Washington intends to award a stand alone Firm-Fixed Price (FFP) contract to accomplish maintenance, repair and preservation of the CAISSON ONE.  All work shall be accomplished at the Contractor's facility.   

Special Note: 

  • Contractor’s facility must be capable of dry-docking the vessel in order to accomplish all required work.
  • The ship check schedule can be found in Section L (Solicitation pages 55-69) includes information regarding base access registration deadlines.
  • Information regarding the Contractor’s Property Management System is now part of the contractor’s proposal.  Additional information can be found in Section L of the solicitation.

            Vessel Characteristics: 

  • Length of 94 FT 10-3/8 IN                
  • Height of 39 FT
  • Draft of 20 FT 11-7/16 IN
  • Width of 16 FT          
  • Light Load Displacement is approx. 762 L Tons
  • Full Displacement is approx. 1,483 L Tons
  • Hull Type is Steel                              

           

Geographical Area of consideration: To facilitate proper government oversight, the facility shall be located in the Puget Sound, WA region.  For this procurement, the Puget Sound, WA region is defined as the West Coast of the continental US, starting from Olympia, WA and extending northward to Bellingham, WA.

The Government is seeking responses from sources that can perform the following work:

Coordinate with the Contracting Officer, via the Contracting Officer’s Representative (COR) to deliver the vessel to the Contractor’s facility.  Dock, wash, and clean the exterior surfaces of the vessel upon docking.  Blast & preserve Hull Exterior. Hull corrosion weld repairs.  Control Hazardous Waste.  Replace rubber seals and hardware.  UT rubber seal steel mating surface.  Perform visual and ultrasonic Inspections of the hull, tanks, weather deck, drainage piping, and ballasting system.  Pump and clean tanks.  Repair hatches on the Weather Deck and the Operations Deck.  Install Mimic Board.  Test Alarm Systems and Associated Equipment.  Clean Ventilation System.  Replace Valves.  Install Super-flood Pump Discharge Piping Covers.  Replace Dewatering Pumps and Motors.  Renew Valve Stem Extension Assemblies.  Replace Grease Lines and Steady Bearings.  Replace Actuator Stands and Actuators.  Remove and inspect Rubber Fendering.  Install Handrail Swing Gate.  Renew Boarding Ladder.  Blast and preserve Tanks, Operational Deck Compartment, Handrail Stanchions, and Hull.  Replace Non-Skid.  Support Operational Testing.  Replace Hull and Tank zincs.  Undock the vessel.  Arrange and coordinate the delivery of the vessel back to the Government with the Contracting Officer via the COR.

See Statement of Work for more detail (Attachment J-1).

The expected Period of Performance is scheduled to be 28Jun2022 to 12Dec2022.

The Government is contemplating a full and open competition under the North American Industry Classification System (NAICS) 336611, size 1,250 employees.  The Government anticipates award of a Firm-Fixed Price, stand-alone contract in late May 2022 to the responsible contractor on a lowest price, technically acceptable basis in accordance with, but not limited to, the Federal Acquisition Regulation (FAR) 15.101-2.  Offerors can view and/or download the work specifications for review at https://sam.gov/.

NAVSEA Standard Items can be downloaded at https://www.navsea.navy.mil/Home/RMC/CNRMC/Our-Programs/SSRAC/

All offerors must be registered with the System for Award Management (SAM) to receive award of Government contracts. Offerors are advised also that SAM representations and certifications can be completed electronically via the System for Award Management website at https://www.sam.gov. 

Reference drawings (Attachment J-6) will be delivered via the DoDSafe website to SAM registered contractors whose NAICS include 336611 and have a ship repair facility.  Please mail your request for drawings to brittany.chartier@navy.mil and brian.fergus@navy.mil no later than 9 February 2022 at 2PM PST.  The Government will provide a link to download the files from the DoDSafe website.  Include your CAGE code and ship repair facility address in the body of the email.

Update #1 ·

The Northwest Regional Maintenance Center at Puget Sound Naval Shipyard & Intermediate Maintenance Facility (PSNS & IMF), Bremerton, Washington intends to award a stand alone Firm-Fixed Price (FFP) contract to accomplish maintenance, repair and preservation of the CAISSON ONE.  All work shall be accomplished at the Contractor's facility.   

Special Note: 

  • Contractor’s facility must be capable of dry-docking the vessel in order to accomplish all required work.
  • The ship check schedule can be found in Section L (Solicitation pages 55-69) includes information regarding base access registration deadlines.
  • Information regarding the Contractor’s Property Management System is now part of the contractor’s proposal.  Additional information can be found in Section L of the solicitation.

            Vessel Characteristics: 

  • Length of 94 FT 10-3/8 IN                
  • Height of 39 FT
  • Draft of 20 FT 11-7/16 IN
  • Width of 16 FT          
  • Light Load Displacement is approx. 762 L Tons
  • Full Displacement is approx. 1,483 L Tons
  • Hull Type is Steel                              

           

Geographical Area of consideration: To facilitate proper government oversight, the facility shall be located in the Puget Sound, WA region.  For this procurement, the Puget Sound, WA region is defined as the West Coast of the continental US, starting from Olympia, WA and extending northward to Bellingham, WA.

The Government is seeking responses from sources that can perform the following work:

Coordinate with the Contracting Officer, via the Contracting Officer’s Representative (COR) to deliver the vessel to the Contractor’s facility.  Dock, wash, and clean the exterior surfaces of the vessel upon docking.  Blast & preserve Hull Exterior. Hull corrosion weld repairs.  Control Hazardous Waste.  Replace rubber seals and hardware.  UT rubber seal steel mating surface.  Perform visual and ultrasonic Inspections of the hull, tanks, weather deck, drainage piping, and ballasting system.  Pump and clean tanks.  Repair hatches on the Weather Deck and the Operations Deck.  Install Mimic Board.  Test Alarm Systems and Associated Equipment.  Clean Ventilation System.  Replace Valves.  Install Super-flood Pump Discharge Piping Covers.  Replace Dewatering Pumps and Motors.  Renew Valve Stem Extension Assemblies.  Replace Grease Lines and Steady Bearings.  Replace Actuator Stands and Actuators.  Remove and inspect Rubber Fendering.  Install Handrail Swing Gate.  Renew Boarding Ladder.  Blast and preserve Tanks, Operational Deck Compartment, Handrail Stanchions, and Hull.  Replace Non-Skid.  Support Operational Testing.  Replace Hull and Tank zincs.  Undock the vessel.  Arrange and coordinate the delivery of the vessel back to the Government with the Contracting Officer via the COR.

See Statement of Work for more detail (Attachment J-1).

The expected Period of Performance is scheduled to be 28Jun2022 to 12Dec2022.

The Government is contemplating a full and open competition under the North American Industry Classification System (NAICS) 336611, size 1,250 employees.  The Government anticipates award of a Firm-Fixed Price, stand-alone contract in late May 2022 to the responsible contractor on a lowest price, technically acceptable basis in accordance with, but not limited to, the Federal Acquisition Regulation (FAR) 15.101-2.  Offerors can view and/or download the work specifications for review at https://sam.gov/.

NAVSEA Standard Items can be downloaded at https://www.navsea.navy.mil/Home/RMC/CNRMC/Our-Programs/SSRAC/

All offerors must be registered with the System for Award Management (SAM) to receive award of Government contracts. Offerors are advised also that SAM representations and certifications can be completed electronically via the System for Award Management website at https://www.sam.gov. 

Reference drawings (Attachment J-6) will be delivered via the DoDSafe website to SAM registered contractors whose NAICS include 336611 and have a ship repair facility.  Please mail your request for drawings to brittany.chartier@navy.mil and brian.fergus@navy.mil no later than 9 February 2022 at 2PM PST.  The Government will provide a link to download the files from the DoDSafe website.  Include your CAGE code and ship repair facility address in the body of the email.

Files

File Type Posted
C09.0 Government Response to RFC 013 N4523AR221050 Caisson 1.pdf PDF
C09.0 Government Response to RFC 012 N4523AR221050 Caisson 1.pdf PDF
C09.0 Amendment 0006- N4523A22R1050 Caisson 1.pdf PDF
C09.0 Government Responses to RFC 009-011 N4523AR221050 Caisson 1.pdf PDF
C09.0 Government Response to RFC 008 N4523AR221050 Caisson 1.pdf PDF
C09.0 Attachment J-1 Errata 2 Caisson 1 SOW 15MAR2022.pdf PDF
C09.0 Attachment J-2 - Caisson 1 Price Proposal Worksheet Updated 15MAR2022.xls XLS spreadsheet
C09.0 Amendment 0005- N4523A22R1050 Caisson 1.pdf PDF
C09.0 Amendment 0004 N4523A22R1050 Caisson 1.pdf PDF
C09.0 Government Response to RFC 007 N4523AR221050 Caisson 1.pdf PDF
C09.0 Attachment J-2 - Caisson 1 Price Proposal Worksheet Updated 09MAR2022.xls XLS spreadsheet
C09.0 Amendment 0003 N4523A22R1050 Caisson 1.pdf PDF
C09.0 Government Response to RFC 006 N4523AR221050 Caisson 1.pdf PDF
C09.0 Government Response to RFC 005 N4523AR221050 Caisson 1.pdf PDF
C09.0 Amendment 0002- N4523A22R1050 Caisson 1.pdf PDF
C09.0 Amendment 0001- N4523A22R1050 Caisson 1.pdf PDF
C09.0 Attachment J-1 Errata 1 Caisson 1 SOW 15FEB2022.pdf PDF
C09.0 Updated Attachment J-4 CONTRACT PERFORMANCE DATA SHEET 15FEB2022.docx DOCX document
C09.0 Government Responses to RFC 003-004 N4523AR221050 Caisson 1.pdf PDF
C09.0 Government Responses to RFC 002 N4523AR221050 Caisson 1.pdf PDF
RFC 0001 - Caisson 1 RFC Form N4523A22R1050 ANS.pdf PDF
C04.0 - N4523A22R1050 Caisson One Solicitation.pdf PDF
C04.10 - Attachment J-10 - Contractor Badging and Access Requirements.docx DOCX document
C04.7 - Attachment J-7 - Growth Management Request Form.docx DOCX document
C04.2 - Attachment J-2 - Caisson 1 Price Proposal Worksheet.xls XLS spreadsheet
C04.11 - Attachment J-11 Facility Access Addendum 10Jan2022.pdf PDF
C04.8 - Attachment J-8 - Growth Management Program Tracking Log.xlsx XLSX spreadsheet
C04.12 - Exhibit A - 33 DIDs Portfolio.pdf PDF
C04.13 - Exhibit B - GFP Attachment.pdf PDF
C04.1 - Attachment J-1 - Caisson 1 Statement of Work.pdf PDF
C04.3 - Attachment J-3 - Caisson 1 RFC Form N4523A22R1050.docx DOCX document
C04.4 - Attachment J-4 - Corporate Performance Data Sheet.pdf PDF
C04.5 - Attachment J-5 - Corporate Experience Data Sheet.pdf PDF
C04.9 - Attachment J-9 - 042-10 -001 Declining Log.xlsx XLSX spreadsheet
C04.12 - Exhibit A - 33 CDRLs.pdf PDF
Show all 35

Notice history

Notice Type Posted
Caisson 1 - Maintenance, Repair, and Preservation Award Award Notice
This notice Latest solicitation Solicitation
Caisson 1 - Maintenance, Repair, and Preservation Pre-Solicitation
Caisson 1 - Maintenance, Repair, and Preservation Original Pre-Solicitation

Similar open opportunities

Opportunity Agency Set-aside Responses due
Maintenance, Repair and Preservation of IX-551 NAICS 336611 Naval Supply Systems Command No set-aside
Maintenance, Repair, and Preservation of YRBM-50 NAICS 336611 Naval Supply Systems Command Total Small Business
Drydock repairs for the CGC anvil NAICS 336611 — Total Small Business
Dock-side (DS): USCGC WAESCHE Quarter 2 FY27 Repair Alameda, California, United States · NAICS 336611 — No set-aside
Bravo Dive Boat 65DS1101 Bremerton, Washington, United States · NAICS 336611 Naval Supply Systems Command Total Small Business

On GovTribe

Work this opportunity

  • Track it in your pipeline
  • Find teaming partners
  • Similar opportunities
  • Ask GovTribe AI about this opportunity